Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui.rastermap
Class RasterMapEntry.PinPoint

    java.lang.Object
      org.ka2ddo.yaac.gui.rastermap.RasterMapEntry.PinPoint

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RasterMapEntry

    public static class RasterMapEntry.PinPoint

extends java.lang.Object
implements java.io.Serializable

This class contains one association between a pixel in the image and its latitude/longitude position on the planet.

See Also:
  Serialized Form

Field Summary
`int` | `ix` Raster image pixel X coordinate.
`int` | `iy` Raster image pixel Y coordinate.
`double` | `mLat` Corresponding latitude in fractional degrees North.
`double` | `mLon` Corresponding longitude in fractional degrees East.

Constructor Summary
`RasterMapEntry.PinPoint()` Construct an empty PinPoint.
`RasterMapEntry.PinPoint(int ix, int iy, double mLat, double mLon)` Construct a PinPoint with raster image to lat/lon mapping.

Method Summary
`void` | `read(java.io.DataInput dis)` Load this PinPoint from a binary file.
`java.lang.String` | `toString()` Returns a string representation of the object.
`void` | `write(java.io.DataOutput dos)` Save this PinPoint to a binary file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ix

    public int ix

  Raster image pixel X coordinate.

### iy

    public int iy

  Raster image pixel Y coordinate.

### mLat

    public double mLat

  Corresponding latitude in fractional degrees North.

### mLon

    public double mLon

  Corresponding longitude in fractional degrees East.

Constructor Detail

### RasterMapEntry.PinPoint

    public RasterMapEntry.PinPoint()

  Construct an empty PinPoint.

### RasterMapEntry.PinPoint

    public RasterMapEntry.PinPoint(int ix,
                                   int iy,
                                   double mLat,
                                   double mLon)

  Construct a PinPoint with raster image to lat/lon mapping.

  Parameters:
    `ix` - raster image pixel X coordinate
    `iy` - raster image pixel Y coordinate
    `mLat` - corresponding latitude in fractional degrees North
    `mLon` - corresponding longitude in fractional degrees East

Method Detail

### read

    public void read(java.io.DataInput dis)
              throws java.io.IOException

  Load this PinPoint from a binary file.

  Parameters:
    `dis` - DataInput to read the PinPoint from
  Throws:
    `java.io.IOException` - if read fails

### write

    public void write(java.io.DataOutput dos)
               throws java.io.IOException

  Save this PinPoint to a binary file.

  Parameters:
    `dos` - DataOutput to write the PinPoint to
  Throws:
    `java.io.IOException` - if write fails

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD